> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vectalk.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Vídeo

> Envie um vídeo com legenda opcional

<ParamField body="messaging_product" type="string" required default="whatsapp" />

<ParamField body="to" type="string" required placeholder="5511999999999" />

<ParamField body="recipient_type" type="string" default="individual" />

<ParamField body="type" type="string" required default="video" />

<ParamField body="context" type="object">
  Para responder uma mensagem. Inclua `message_id` da mensagem original.
</ParamField>

<ParamField body="video" type="object" required>
  <Expandable title="campos" defaultOpen>
    <ParamField body="video.link" type="string" placeholder="https://example.com/video.mp4">
      URL pública do vídeo. Use `link` **ou** `id`.
    </ParamField>

    <ParamField body="video.id" type="string" placeholder="1234567890">
      ID de mídia do [Upload de Mídia](/api-reference/media/upload).
    </ParamField>

    <ParamField body="video.caption" type="string" placeholder="Assista ao tutorial!">
      Legenda exibida abaixo do vídeo.
    </ParamField>
  </Expandable>
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://apis.vectalk.com.br/api/messages \
    --header 'Authorization: Bearer <token>' \
    --header 'Content-Type: application/json' \
    --data '{
      "messaging_product": "whatsapp",
      "to": "5511999999999",
      "type": "video",
      "video": {
        "link": "https://example.com/video.mp4",
        "caption": "Assista ao tutorial!"
      }
    }'
  ```
</RequestExample>
